Is there any reason not to update my Wii?

Discussion in 'Wii - Console and Game Discussions' started by ThatOtherPerson, Jul 6, 2009.

  1. ThatOtherPerson
    OP

    Newcomer ThatOtherPerson Advanced Member

    Joined:
    Nov 3, 2008
    Messages:
    54
    Country:
    Canada
    I already have the homebrew channel installed (I've had it for ages) and anyways unless I'm mistaken (I admittedly haven't been paying much attention to whats been going on for a while now) There is already another non Twilight Princess related exploit that works with the current system for the off chance that I for some reason feel the urge to delete and reinstall the homebrew channel. So is there any reason for me not to get my Wii up to date? What restrictions exist in the new updates? Will the homebrew channel remain intact and functional? Will I still be able to install WADs as new channels? I understand the need to be cautious about future updates but is there really any functionality that I will lose from getting the current updates? I would like to be able to play Virtual Console games off of my SD card...
     
  2. ThatOtherPerson
    OP

    Newcomer ThatOtherPerson Advanced Member

    Joined:
    Nov 3, 2008
    Messages:
    54
    Country:
    Canada
    I suppose there is no reason. I decided to install BootMii first (which I'll admit I'm somewhat dissapointed to find that i need to use a GameCube controller to navigate through) and went ahead getting the latest update. Everything works fine. The SD auto copy and play feature wont work for pirated games and I cant copy pirated games from my SD card to My wii but the wad installer still works as does everything else so nothing of value was lost in the upgrade.
     
  3. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
  4. ThatOtherPerson
    OP

    Newcomer ThatOtherPerson Advanced Member

    Joined:
    Nov 3, 2008
    Messages:
    54
    Country:
    Canada
    Thanks [​IMG] I followed the instructions and the SD channel loader is working for all channels now (both legit and homebrew ones).
     
  5. AdamBrunt

    Member AdamBrunt GBAtemp Advanced Fan

    Joined:
    Jun 24, 2003
    Messages:
    688
    Country:
    No you don't. You can cycle through the options using the reset/power buttons.
     
  6. padawan

    Member padawan GBAtemp Regular

    Joined:
    Mar 21, 2003
    Messages:
    112
    Country:
    i don't think that's possible anymore now that you're on 4.0 ?
     
  7. PR0r

    Member PR0r GBAtemp Regular

    Joined:
    Jun 28, 2009
    Messages:
    103
    Country:
    Australia
    Sorry to post this in your post.. quick question though

    What are you reasons to upgrade to 4.0?

    Whats the general advice to someone using 3.4? I currently use 3.4.. everything works great, i dont use my wii for any of the internet features but is there any great advantage of upgrading?
     
  8. imapterodactyl

    Member imapterodactyl GBAtemp Fan

    Joined:
    Jan 20, 2009
    Messages:
    424
    Country:
    United States
    Of course you can. You can even do that on a virgin 4.0 after about 10 minutes worth of work. [​IMG]
     
  9. imapterodactyl

    Member imapterodactyl GBAtemp Fan

    Joined:
    Jan 20, 2009
    Messages:
    424
    Country:
    United States
    SD menu. Tons of Wiiware/VC at your fingertips without the hassle of installing/uninstalling. That was my reason for upgrading. Plus, there are new IOSes that, while you can install them manually, it's outright quicker and easier through a system update. Just be sure to follow a proper guide, as you need a patched IOS60 if you want to play illegitimate Wiiware/VC through the SD menu.
     
  10. nano351

    Member nano351 GBAtemp Regular

    Joined:
    Jun 6, 2009
    Messages:
    259
    Country:
    United States
    if you are updating to 4.0 and you already have homebrew channel then there is no reason because you can get everything installed fine and work arround any road blocks but if you are in japan and considering 4.1 I'd advise you avoid it because not much is known about compatibility and hackability on this firmware.
     
  11. imapterodactyl

    Member imapterodactyl GBAtemp Fan

    Joined:
    Jan 20, 2009
    Messages:
    424
    Country:
    United States
    4.1 is still hackable.
    Also, while it used to be very important to have a cIOS and HBC installed before updating to 4.0 (and is still highly recommended), even a totally virgin 4.0 unit is a piece of cake to hack. Certainly FAR less convoluted than all those old guides for modding 3.3/3.4.
     

Share This Page